import matplotlib.pyplot as plt
import numpy as np
from numpy import median
import pandas as pd
import seaborn as sns

mpg = sns.load_dataset("mpg")
iris = sns.load_dataset("iris")

iris_mod = iris[iris["species"] == "setosa"]

sns.regplot(x="sepal_length", y="sepal_width", data=iris_mod, x_estimator=median)

plt.show()
